package com.example.tdl.service;


import com.example.tdl.domain.vo.ResultGatewayVo;
import com.example.tdl.domain.vo.TDLLogVo;
import com.example.tdl.mapper.TDLLogMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class TDLLogService {

    @Autowired
    private TDLLogMapper tdlLogMapper;

    public ResultGatewayVo getByNo(String transportationNo){
        return  tdlLogMapper.getByNo(transportationNo);
    }

    public TDLLogVo getByTransportationNo(String transportationNo){
        return  tdlLogMapper.getByTransportationNo(transportationNo);
    }

    public List<String> getTdlSN(String transportationNo){
        return  tdlLogMapper.getTdlSN(transportationNo);
    }

    public String getSN(String transportationNo){
        return  tdlLogMapper.getSN(transportationNo);
    }

}
